#ifndef	_BATTLE_H
#define	_BATTLE_H

#include "entities.h"
#include <timer.h>

enum BattleStep
{
	BattleStep_Initialize	= -1,

	BattleStep_Opened	= 0,
	BattleStep_HitLanded	= 1,
	BattleStep_TurnOver	= 2,
	BattleStep_EnemyKilled	= 3,
	BattleStep_Victory	= 4,
	BattleStep_Dead		= 5,

	BattleStep_StepCount	= 6,
};

typedef const char * BattleContext[][BattleStep_StepCount];

/*
	battle()
	Let's fight! A single player versus at most 3 enemies. The enemy2 and
	enemy3 arguments may be NULL. BE is a typedef for struct BattleEntity.
	This function relies on global variables initialized by the dungeon
	file.
	Returns non-zero if the user leaves using MENU.
*/
int battle(BE *player, BE *enemy1, BE *enemy2, BE *enemy3,
	BattleContext *context);



//---
//	Dungeon-Battle shared symbols.
//---

/*
	battle_draw()
	Call this to update the screen when in battle.
*/
void battle_draw(void);

/*
	battle_timer()
	Call this to update the battle screen animations.
*/
void battle_timer(void);

#endif	// _BATTLE_H
