//---
//
//	dungeon
//
//	Some battle chains. You need to survive all the battles to beat the
//	dungeon itself.
//
//---

#ifndef	_DUNGEON_H
#define	_DUNGEON_H

#include "util.h"
#include "battle.h"



//---
//	Dungeon API.
//---

#define	DUNGEON_DELAY		2000
#define	DUNGEON_MBOX		18
#define	DUNGEON_MBOX_CPL	20
#define	DUNGEON_PLAYER_X	24
#define	DUNGEON_PLAYER_Y	38

/*
	dungeon()
	"I'm gonna pulverize them and smash them down!" -- Carrus
	Returns non-zero when the game is finished (to show credits).
*/
int dungeon(int dungeon_no);



//---
//	Dungeon-Battle shared symbols.
//---

/*
	shared_draw()
	Updates the screen contents... whether in the dungeon or in battle.
*/
void shared_draw(void);

/*
	shared_timer()
	Updates the animations and likes. Can be called from both the dungeon
	module and the battle module.
*/
void shared_timer(void);

/*
	shared_messages()
	Execution-blockingly displays messages. Returns non-zero if the key
	that was pressed by the user indicates that they wish to leave.
*/
int shared_messages(const char **messages);

#endif	// _DUNGEON_H
